LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
ENTITY SLT IS
    PORT (   SL : IN STD_LOGIC ;
             M  : IN STD_LOGIC ;  
          M0,M1 : OUT STD_LOGIC    );
END SLT;
ARCHITECTURE behav OF SLT IS
 BEGIN
 PROCESS (SL)  
     BEGIN
        IF SL = '1' THEN
        M0 <= M; M1 <= '0' ;
        ELSE 
        M0 <= '0' ; M1 <= M ; 
        END IF;
   END PROCESS;
END behav;

